CTermGenerator.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/routines/pbori_func.h>`

Go to the source code of this file.

## Classes

class | polybori::CTermGeneratorBase__< TermType, BehaviourTag >
class | polybori::CTermGeneratorBase__< TermType, type_tag< BooleExponent > >
class | polybori::CTermGeneratorBase__< TermType, type_tag< CTypes::size_type > >
class | polybori::CTermGeneratorBase__< TermType, type_tag< CTypes::deg_type > >
class | polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >
class | polybori::CTermGeneratorBase< TermType >
class | polybori::CTermGenerator< TermType >
class | polybori::CTermGenerator< BooleMonomial >

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2007-05-03

Defines the template class CTermGenerator, which is a functional for generation of from from a sequence of indices.

Copyright:
  (c) 2007-2010 by The PolyBoRi Team